#
# spec file for package perl-List-UtilsBy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name List-UtilsBy
Name:           perl-List-UtilsBy
Version:        0.12
Release:        1.13
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Higher-order list utility functions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.400400
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module provides a number of list utility functions, all of which take
an initial code block to control their behaviour. They are variations on
similar core perl or 'List::Util' functions of similar names, but which use
the block to control their behaviour. For example, the core Perl function
'sort' takes a list of values and returns them, sorted into order by their
string value. The sort_by function sorts them according to the string value
returned by the extra function, when given each value.

   my @names_sorted = sort @names;

   my @people_sorted = sort_by { $_->name } @people;

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Apr 30 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.12    2022-04-29
    [CHANGES]
  * Documentation updates:
    + Add examples showing combining multiple functions to give
    further behaviours
    + Fixed typo "probability" (RT127988, RT136817)
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.11    2018-01-31 23:12:44
    [CHANGES]
  * Added 'minmax_by' (RT124275)
    [BUGFIXES]
  * use lib '.' for 5.26+ (RT120418)
* Sat Jul 18 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.10    2015/07/16 19:22:00
    [CHANGES]
  * Added 'extract_first_by'
  * Updated documentation:
    + Added 'since' version to all functions
    + Use =head2 barename for nicer indexing
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.09    CHANGES:
  * Added 'unzip_by'
  * Added 'nmax_by' and 'nmin_by' name aliases for 'max_by'/'min_by'
  0.08    CHANGES:
  * Ensure that 'bundle_by' passes a short list to the body function
    rather than trailing undefs
  * Better hopefully-more efficient implementation of *sort_by.
  * Removed back-compat renames of sortby etc..
* Sun May 22 2011 them4z@googlemail.com
- initial package 0.07
  * created by cpanspec 1.78.04
